
#ifndef _COMMON_FXO_H
#define _COMMON_FXO_H
/******************************************************************************

                               Copyright (c) 2008
                            Infineon Technologies AG
                     Am Campeon 1-12; 81726 Munich, Germany

  For licensing information, see the file 'LICENSE' in the root folder of
  this software module.

  ****************************************************************************/

/**
   \file common_fxo.h
   \date 2007-05-31
   \brief Function prototypes for FXO.
   
*/

/* ============================= */
/* Includes                      */
/* ============================= */

/* ============================= */
/* Global Defines                */
/* ============================= */

/* ============================= */
/* Local Macros & Definitions    */
/* ============================= */

/* ============================= */
/* Global Structures and enums   */
/* ============================= */

/* ============================= */
/* Global variable definition    */
/* ============================= */
#ifdef DUSLIC_FXO
   extern IFX_char_t* sDUSLIC_CH_DEV_NAME;
   extern IFX_char_t* sDUSLIC_CTRL_DEV_NAME;
#endif /* DUSLIC_FXO */

#ifdef TERIDIAN_FXO
   extern IFX_char_t* sTERIDIAN_CH_DEV_NAME;
   extern IFX_char_t* sTERIDIAN_CTRL_DEV_NAME;
#endif /* TERIDIAN_FXO */

/* ============================= */
/* Global function declaration   */
/* ============================= */
FXO_t* FXO_GetFxoOfDataCh(IFX_int32_t nDataCh, CTRL_STATUS_t* pCtrl,
                          BOARD_t* pBoard);
IFX_return_t FXO_Init(BOARD_t* pBoard, GPIO_ACCESS_DEV_t eType,
                      FXO_TYPE_t eFxoType);
IFX_return_t FXO_RefreshTimeout(FXO_t* pFXO);
IFX_return_t FXO_StartConnection(PROGRAM_ARG_t* pProgramArg,
                                 FXO_t* pFXO,
                                 PHONE_t* pPhone,
                                 CONNECTION_t* pConn, 
                                 BOARD_t* pBoard);
IFX_return_t FXO_EndConnection(PROGRAM_ARG_t* pProgramArg,
                               FXO_t* pFXO,
                               PHONE_t* pPhone,
                               CONNECTION_t* pConn, 
                               BOARD_t* pBoard);
IFX_return_t FXO_PrepareConnection(PROGRAM_ARG_t* pProgramArg,
                                   FXO_t* pFXO,
                                   BOARD_t* pBoard);
IFX_return_t FXO_ActivateConnection(FXO_t* pFXO,
                                    PHONE_t* pPhone,
                                    CONNECTION_t* pConn, 
                                    BOARD_t* pBoard);


#endif /* _COMMON_FXO_H */
