
#ifndef _DEVICE_VINETIC_VIP_H
#define _DEVICE_VINETIC_VIP_H
/******************************************************************************

                               Copyright (c) 2008
                            Infineon Technologies AG
                     Am Campeon 1-12; 81726 Munich, Germany

  For licensing information, see the file 'LICENSE' in the root folder of
  this software module.

  ****************************************************************************
   Module      : device_vinetic_vip.h
   Description :
 ****************************************************************************
   \file device_vinetic_vip.h

   \remarks
      
   \note Changes:
*******************************************************************************/

/* ============================= */
/* Includes                      */
/* ============================= */
#ifdef LINUX
#include "tapidemo_config.h"
#endif

#ifdef HAVE_DRV_VINETIC_HEADERS
    #include "vinetic_io.h"       
#else
    #error "drv_vinetic is missing"
#endif

/** VIP dependend stuff */
#ifdef HAVE_DRV_EASY334_HEADERS
    #include "easy334_io.h"     
#else
    #error "drv_easy334 is missing"
#endif


/* ============================= */
/* Debug interface               */
/* ============================= */

/* ============================= */
/* Global Defines                */
/* ============================= */

/* ============================= */
/* Global Variables              */
/* ============================= */
#ifdef USE_FILESYSTEM
extern IFX_char_t* sPRAMFile_VIP;
extern IFX_char_t* sPRAMFile_VIP_Old;
extern IFX_char_t* sDRAMFile_VIP;
extern IFX_char_t* sBBD_CRAM_File_VIP;
#endif /* USE_FILESYSTEM */

extern IFX_char_t* sCH_DEV_NAME_VIP;
extern IFX_char_t* sCTRL_DEV_NAME_VIP;
extern IFX_char_t* sSYS_DEV_NAME_VIP;

extern VINETIC_IO_INIT VineticDevInitStruct;
/* ============================= */
/* Global Structures             */
/* ============================= */

/* ============================= */
/* Global function declaration   */
/* ============================= */
IFX_return_t DEVICE_VINETIC_VIP_GetVersions(BOARD_t* pBoard);
IFX_return_t DEVICE_VINETIC_VIP_Init(BOARD_t* pBoard, IFX_char_t* pPath);
IFX_void_t DEVICE_VINETIC_VIP_DecodeErrnoForDrv(IFX_int32_t nCode);


#endif /* _DEVICE_VINETIC_VIP_H */
